<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>tictactoe:  Fichier source de Tictactoe.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">tictactoe
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Tictactoe.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="Tictactoe_8hpp.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef TICTACTOE_HPP</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define TICTACTOE_HPP</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;array&gt;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno"><a class="line" href="Tictactoe_8hpp.html#a9a527722d878ba01d077a448efebe469a5e0173b306beb55612ea995af4d5ce23">    7</a></span>&#160;<span class="keyword">enum</span> <a class="code" href="Tictactoe_8hpp.html#a9a527722d878ba01d077a448efebe469">Joueur</a> { <a class="code" href="Tictactoe_8hpp.html#a9a527722d878ba01d077a448efebe469a5e0173b306beb55612ea995af4d5ce23">JOUEUR_VIDE</a>, <a class="code" href="Tictactoe_8hpp.html#a9a527722d878ba01d077a448efebe469ac62eca3b38e99afffb95bcaf47fcda3c">JOUEUR_ROUGE</a>, <a class="code" href="Tictactoe_8hpp.html#a9a527722d878ba01d077a448efebe469a98982692ebd1c7fa6fbb39c744c05240">JOUEUR_VERT</a>, <a class="code" href="Tictactoe_8hpp.html#a9a527722d878ba01d077a448efebe469a6439380f50b6fea3f2fa433a638e9878">JOUEUR_EGALITE</a> };</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="classJeu.html">    9</a></span>&#160;<span class="keyword">class </span><a class="code" href="classJeu.html">Jeu</a> {</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;    <span class="keyword">private</span>:</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;        <span class="comment">// TODO</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;        <span class="comment">// Constructeur à utiliser.</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;        <a class="code" href="classJeu.html#acc5795ee00edf75516d3dfe65be3e6d6">Jeu</a>();</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;        <span class="comment">// Retourne le vainqueur (ROUGE, VERT, EGALITE) ou VIDE si partie en cours.</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        <a class="code" href="Tictactoe_8hpp.html#a9a527722d878ba01d077a448efebe469">Joueur</a> <a class="code" href="classJeu.html#aeab1c88866a0edfacdcb2bee4124822e">getVainqueur</a>() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        <span class="comment">// Retourne le joueur (ROUGE ou VERT) qui doit jouer.</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;        <a class="code" href="Tictactoe_8hpp.html#a9a527722d878ba01d077a448efebe469">Joueur</a> <a class="code" href="classJeu.html#ad97442460a5c429effc7ed69395f9713">getJoueurCourant</a>() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <span class="comment">// Joue un coup pour le joueur courant.</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        <span class="comment">// </span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;        <span class="comment">// i ligne choisie (0, 1 ou 2)</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        <span class="comment">// j colonne choisie (0, 1 ou 2)</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        <span class="comment">// </span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="comment">// Si le coup est invalide, retourne false. Si le coup est valide,</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;        <span class="comment">// joue le coup et retourne true.</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="classJeu.html#a2f3bce909fa1582440cacb5e1923ae0e">jouer</a>(<span class="keywordtype">int</span> i, <span class="keywordtype">int</span> j);</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        <span class="comment">// Réinitialise le jeu.</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classJeu.html#a0bdd23a350c6b92a83474666e7b0f933">raz</a>();</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <span class="keyword">friend</span> std::ostream &amp; <a class="code" href="classJeu.html#ad2cbcace5f32f96fe17fa887b90c3fa3">operator&lt;&lt;</a>(std::ostream &amp; os, <span class="keyword">const</span> <a class="code" href="classJeu.html">Jeu</a> &amp; jeu);</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;};</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;std::ostream &amp; <a class="code" href="Tictactoe_8hpp.html#ad2cbcace5f32f96fe17fa887b90c3fa3">operator&lt;&lt;</a>(std::ostream &amp; os, <span class="keyword">const</span> <a class="code" href="classJeu.html">Jeu</a> &amp; jeu);</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aTictactoe_8hpp_html_a9a527722d878ba01d077a448efebe469"><div class="ttname"><a href="Tictactoe_8hpp.html#a9a527722d878ba01d077a448efebe469">Joueur</a></div><div class="ttdeci">Joueur</div><div class="ttdef"><b>Definition:</b> Tictactoe.hpp:7</div></div>
<div class="ttc" id="aTictactoe_8hpp_html_a9a527722d878ba01d077a448efebe469a98982692ebd1c7fa6fbb39c744c05240"><div class="ttname"><a href="Tictactoe_8hpp.html#a9a527722d878ba01d077a448efebe469a98982692ebd1c7fa6fbb39c744c05240">JOUEUR_VERT</a></div><div class="ttdeci">@ JOUEUR_VERT</div><div class="ttdef"><b>Definition:</b> Tictactoe.hpp:7</div></div>
<div class="ttc" id="aclassJeu_html_a2f3bce909fa1582440cacb5e1923ae0e"><div class="ttname"><a href="classJeu.html#a2f3bce909fa1582440cacb5e1923ae0e">Jeu::jouer</a></div><div class="ttdeci">bool jouer(int i, int j)</div><div class="ttdef"><b>Definition:</b> Tictactoe.cpp:26</div></div>
<div class="ttc" id="aclassJeu_html_ad97442460a5c429effc7ed69395f9713"><div class="ttname"><a href="classJeu.html#ad97442460a5c429effc7ed69395f9713">Jeu::getJoueurCourant</a></div><div class="ttdeci">Joueur getJoueurCourant() const</div><div class="ttdef"><b>Definition:</b> Tictactoe.cpp:21</div></div>
<div class="ttc" id="aTictactoe_8hpp_html_a9a527722d878ba01d077a448efebe469ac62eca3b38e99afffb95bcaf47fcda3c"><div class="ttname"><a href="Tictactoe_8hpp.html#a9a527722d878ba01d077a448efebe469ac62eca3b38e99afffb95bcaf47fcda3c">JOUEUR_ROUGE</a></div><div class="ttdeci">@ JOUEUR_ROUGE</div><div class="ttdef"><b>Definition:</b> Tictactoe.hpp:7</div></div>
<div class="ttc" id="aTictactoe_8hpp_html_a9a527722d878ba01d077a448efebe469a5e0173b306beb55612ea995af4d5ce23"><div class="ttname"><a href="Tictactoe_8hpp.html#a9a527722d878ba01d077a448efebe469a5e0173b306beb55612ea995af4d5ce23">JOUEUR_VIDE</a></div><div class="ttdeci">@ JOUEUR_VIDE</div><div class="ttdef"><b>Definition:</b> Tictactoe.hpp:7</div></div>
<div class="ttc" id="aclassJeu_html"><div class="ttname"><a href="classJeu.html">Jeu</a></div><div class="ttdef"><b>Definition:</b> Tictactoe.hpp:9</div></div>
<div class="ttc" id="aTictactoe_8hpp_html_ad2cbcace5f32f96fe17fa887b90c3fa3"><div class="ttname"><a href="Tictactoe_8hpp.html#ad2cbcace5f32f96fe17fa887b90c3fa3">operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;os, const Jeu &amp;jeu)</div><div class="ttdef"><b>Definition:</b> Tictactoe.cpp:11</div></div>
<div class="ttc" id="aclassJeu_html_a0bdd23a350c6b92a83474666e7b0f933"><div class="ttname"><a href="classJeu.html#a0bdd23a350c6b92a83474666e7b0f933">Jeu::raz</a></div><div class="ttdeci">void raz()</div><div class="ttdef"><b>Definition:</b> Tictactoe.cpp:7</div></div>
<div class="ttc" id="aclassJeu_html_acc5795ee00edf75516d3dfe65be3e6d6"><div class="ttname"><a href="classJeu.html#acc5795ee00edf75516d3dfe65be3e6d6">Jeu::Jeu</a></div><div class="ttdeci">Jeu()</div><div class="ttdef"><b>Definition:</b> Tictactoe.cpp:3</div></div>
<div class="ttc" id="aclassJeu_html_aeab1c88866a0edfacdcb2bee4124822e"><div class="ttname"><a href="classJeu.html#aeab1c88866a0edfacdcb2bee4124822e">Jeu::getVainqueur</a></div><div class="ttdeci">Joueur getVainqueur() const</div><div class="ttdef"><b>Definition:</b> Tictactoe.cpp:16</div></div>
<div class="ttc" id="aclassJeu_html_ad2cbcace5f32f96fe17fa887b90c3fa3"><div class="ttname"><a href="classJeu.html#ad2cbcace5f32f96fe17fa887b90c3fa3">Jeu::operator&lt;&lt;</a></div><div class="ttdeci">friend std::ostream &amp; operator&lt;&lt;(std::ostream &amp;os, const Jeu &amp;jeu)</div><div class="ttdef"><b>Definition:</b> Tictactoe.cpp:11</div></div>
<div class="ttc" id="aTictactoe_8hpp_html_a9a527722d878ba01d077a448efebe469a6439380f50b6fea3f2fa433a638e9878"><div class="ttname"><a href="Tictactoe_8hpp.html#a9a527722d878ba01d077a448efebe469a6439380f50b6fea3f2fa433a638e9878">JOUEUR_EGALITE</a></div><div class="ttdeci">@ JOUEUR_EGALITE</div><div class="ttdef"><b>Definition:</b> Tictactoe.hpp:7</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
